Results 1 to 3 of 3

Thread: Visual Studio Code + ExtJS intelliSense?

  1. #1
    Sencha Premium Member ethraza's Avatar
    Join Date
    Jun 2007
    Location
    Brazil
    Posts
    379

    Lightbulb Answered: Visual Studio Code + ExtJS intelliSense?

    Hi, I'm now in the process of migration from Eclipse+Aptana to VSCode (does not mistake with VS2015). VSCode is the MS Open Source editor based on Electron, from GitHub Atom.

    What I'm missing right now is intelliSence (autocomplete) for ExtJs framework.

    Someone knows if it can be accomplished on VSCode?

    Thanks.
    LAMPE (Linux / Apache / MySQL / PHP / ExtJs)

  2. Quote Originally Posted by ethraza View Post
    Hi, I'm now in the process of migration from Eclipse+Aptana to VSCode (does not mistake with VS2015). VSCode is the MS Open Source editor based on Electron, from GitHub Atom.

    What I'm missing right now is intelliSence (autocomplete) for ExtJs framework.

    Someone knows if it can be accomplished on VSCode?

    Thanks.
    Sorry ethraza, Visual Studio Code is an entirely different product line than Visual Studio 2013/2015 and currently there are no plans of supporting it.

  3. #2
    Sencha Premium Member ethraza's Avatar
    Join Date
    Jun 2007
    Location
    Brazil
    Posts
    379

    Question Using tsd?

    For now, I just found how to install ts definitions for ExtJS:

    Code:
    npm install [email protected] -g
    cd myproject
    tsd install extjs --save
    This creates a typings/extjs/ExtJS.d.ts file.

    I tryed to create a jsconfig.json at the root of my project with:
    Code:
    {
        "compilerOptions": {
            "module": "commonjs",
            "target": "ES5",
            "outDir": "out",
            "noLib": true,
            "sourceMap": true
        },
        "exclude": [
            "node_modules",
            "ext",
            "overrides",
            "resources",
            "sass",
            "build",
            "packages",
            "help"
        ]
    }
    but autocomplete is still not working on VSCode.

    What is missing?
    LAMPE (Linux / Apache / MySQL / PHP / ExtJs)

  4. #3
    Sencha - Dev Team
    Join Date
    Jul 2015
    Posts
    17
    Answers
    6

    Default

    Quote Originally Posted by ethraza View Post
    Hi, I'm now in the process of migration from Eclipse+Aptana to VSCode (does not mistake with VS2015). VSCode is the MS Open Source editor based on Electron, from GitHub Atom.

    What I'm missing right now is intelliSence (autocomplete) for ExtJs framework.

    Someone knows if it can be accomplished on VSCode?

    Thanks.
    Sorry ethraza, Visual Studio Code is an entirely different product line than Visual Studio 2013/2015 and currently there are no plans of supporting it.

Similar Threads

  1. Replies: 1
    Last Post: 18 Jul 2014, 7:15 AM
  2. Extjs 4 intellisense in visual studio 2010
    By thomsonzh in forum Ext: Discussion
    Replies: 13
    Last Post: 20 Dec 2012, 2:38 PM
  3. Extjs 4 Intellisense support on Visual Studio 2010.
    By jeeshenlee in forum Ext: Discussion
    Replies: 5
    Last Post: 4 Oct 2012, 10:31 AM
  4. Replies: 1
    Last Post: 21 Dec 2011, 12:49 PM
  5. Visual Studio .NET Intellisense
    By mohaaron in forum Community Discussion
    Replies: 0
    Last Post: 20 Nov 2008, 12:09 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •